Unverified Commit 97e1715f authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump lru from 0.6.5 to 0.6.6 (#3583)

Bumps [lru](https://github.com/jeromefroe/lru-rs) from 0.6.5 to 0.6.6.
- [Release notes](https://github.com/jeromefroe/lru-rs/releases)
- [Changelog](https://github.com/jeromefroe/lru-rs/blob/master/CHANGELOG.md)
- [Commits](https://github.com/jeromefroe/lru-rs/compare/0.6.5...0.6.6

)

---
updated-dependencies:
- dependency-name: lru
  dependency-type: direct:production
  update-type: version-update:semver-patch
...
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent 8f0a57ab
Pipeline #151592 canceled with stages
in 1 minute and 36 seconds
......@@ -90,12 +90,6 @@ dependencies = [
"opaque-debug 0.2.3",
]
[[package]]
name = "ahash"
version = "0.4.6"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "f6789e291be47ace86a60303502173d84af8327e3627ecf334356ee0f87a164c"
[[package]]
name = "ahash"
version = "0.7.4"
......@@ -2642,22 +2636,13 @@ dependencies = [
"crunchy",
]
[[package]]
name = "hashbrown"
version = "0.9.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "d7afe4a420e3fe79967a00898cc1f4db7c8a49a9333a29f8a4bd76a253d5cd04"
dependencies = [
"ahash 0.4.6",
]
[[package]]
name = "hashbrown"
version = "0.11.2"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "ab5ef0d4909ef3724cc8cce6ccc8572c5c817592e9285f5464f8e86f8bd3726e"
dependencies = [
"ahash 0.7.4",
"ahash",
]
[[package]]
......@@ -3035,7 +3020,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "bc633605454125dec4b66843673f01c7df2b89479b32e0ed634e43a91cff62a5"
dependencies = [
"autocfg",
"hashbrown 0.11.2",
"hashbrown",
"serde",
]
......@@ -4127,11 +4112,11 @@ dependencies = [
[[package]]
name = "lru"
version = "0.6.5"
version = "0.6.6"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "1f374d42cdfc1d7dbf3d3dec28afab2eb97ffbf43a3234d795b5986dbf4b90ba"
checksum = "7ea2d928b485416e8908cff2d97d621db22b27f7b3b6729e438bcf42c671ba91"
dependencies = [
"hashbrown 0.9.1",
"hashbrown",
]
[[package]]
......@@ -4234,7 +4219,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "de006e09d04fc301a5f7e817b75aa49801c4479a8af753764416b085337ddcc5"
dependencies = [
"hash-db",
"hashbrown 0.11.2",
"hashbrown",
"parity-util-mem",
]
......@@ -5560,7 +5545,7 @@ checksum = "7ad6f1acec69b95caf435bbd158d486e5a0a44fcf51531e84922c59ff09e8457"
dependencies = [
"cfg-if 1.0.0",
"ethereum-types",
"hashbrown 0.11.2",
"hashbrown",
"impl-trait-for-tuples",
"jemallocator",
"lru",
......@@ -11382,7 +11367,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "9eac131e334e81b6b3be07399482042838adcd7957aa0010231d0813e39e02fa"
dependencies = [
"hash-db",
"hashbrown 0.11.2",
"hashbrown",
"log",
"rustc-hex",
"smallvec 1.6.1",
......
......@@ -20,7 +20,7 @@ sp-core = { git = "https://github.com/paritytech/substrate", branch = "master",
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.23"
rand = "0.8.3"
lru = "0.6.5"
lru = "0.6.6"
[dev-dependencies]
polkadot-subsystem-testhelpers = { package = "polkadot-node-subsystem-test-helpers", path = "../../subsystem-test-helpers" }
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
futures = "0.3.15"
lru = "0.6.1"
lru = "0.6.6"
rand = "0.8.3"
thiserror = "1.0.21"
tracing = "0.1.26"
......
......@@ -21,7 +21,7 @@ sp-core = { git = "https://github.com/paritytech/substrate", branch = "master",
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.23"
rand = "0.8.3"
lru = "0.6.5"
lru = "0.6.6"
[dev-dependencies]
async-trait = "0.1.42"
......
......@@ -16,7 +16,7 @@ pin-project = "1.0.7"
rand = "0.8.3"
thiserror = "1.0.23"
tracing = "0.1.26"
lru = "0.6.5"
lru = "0.6.6"
polkadot-node-primitives = { path = "../primitives" }
polkadot-node-subsystem = { package = "polkadot-node-subsystem", path = "../subsystem" }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment